Bug 1716794 (CVE-2019-10328)

Summary: CVE-2019-10328 jenkins-plugin-workflow-remote-loader: Unsafe Script Security whitelist entry in Pipeline Remote Loader Plugin (SECURITY-921)
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abenaiss, ahardin, aos-bugs, bleanhar, bmontgom, ccoleman, dedgar, eparis, jburrell, jgoulding, jokerman, mchappel, mmccomas, nstielau, obulatov, pbhattac, sponnaga, vbobade, wzheng
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jenkins-plugin-workflow-remote-loader 1.5 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Jenkins Workflow Remote Loader plugin. An unsafe whitelist entry was made that allowed invoking arbitrary methods and bypassing sandbox protection. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:07:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1716798, 1716799, 1717033    
Bug Blocks: 1716795    

Description Sam Fowler 2019-06-04 06:30:24 UTC
The Jenkins Pipeline Remote Loader Plugin provides a custom Script Security whitelist. Those entries apply to all scripts with sandbox protection, such as Pipeline.

One entry provided here was unsafe, as it allowed invoking arbitrary methods, bypassing sandbox protection.

The unsafe whitelist entry has been removed.


External References:

https://jenkins.io/security/advisory/2019-05-31/#SECURITY-921

Comment 3 Sam Fowler 2019-06-04 06:38:07 UTC
"Any security advisory related updates to Jenkins core or the plugins we include in the OpenShift Jenkins master image will only occur in the v3.11 and v4.x branches of this repository."

https://github.com/openshift/jenkins/blob/master/README.md#jenkins-security-advisories-the-master-image-from-this-repository-and-the-oc-binary

Comment 4 Sam Fowler 2019-07-03 01:21:24 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHBA-2019:1605 https://access.redhat.com/errata/RHBA-2019:1605

Comment 5 errata-xmlrpc 2019-07-03 11:55:20 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:1636 https://access.redhat.com/errata/RHSA-2019:1636

Comment 6 Product Security DevOps Team 2019-07-12 13:07:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10328